clear
use "indig_origins_data.dta"


graph bar (mean) ilhat100, over(indig_laborl, label(labsize(large))) /*
*/ legend(off) blabel(bar, format(%9.0f) size(5)) /*
*/ ytitle(Probability of Indigenous Forced Labor, size(5)) ylabel(0(25)100, angle(horizontal) labsize(5)) ysca(titlegap(4)) /*
*/text(100 100 "B", justification(left) size(6)) /*
*/ text(-10 50 "Pre-Colonial Hierarchy", justification(center) size(5.5))  /*
*/ title("Predicted Values", size(6)) /*
*/ scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(solid)) plotregion(style(none)) ylabel(, nogrid)
graph save Graph "fig-ilhat.gph", replace
graph export "fig-ilhat.pdf",replace 

graph bar (mean) ps_assign100 if lpopdens2 != ., over(indig_laborl, label(labsize(large)))  /*
*/ legend(off) blabel(bar, format(%9.0f) size(5)) /*
*/ ytitle(% Indigenous Forced Labor, size(5)) ylabel(0(25)100, angle(horizontal) labsize(5)) ysca(titlegap(4)) /*
*/text(100 100 "A", justification(left) size(6)) /*
*/ text(-10 50 "Pre-Colonial Hierarchy", justification(center) size(5.5))  /*
*/ title("Raw Values", size(6)) /*
*/ scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(solid)) plotregion(style(none))  ylabel(, nogrid)
graph save Graph "fig-prepost1.gph", replace
graph export "fig-prepost1.pdf",replace 

graph combine "fig-prepost1.gph" "fig-ilhat.gph", ysize(2.5) col(2) row(2) /*
*/ scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(none))
graph save Graph "fig-prepost.pdf", replace
graph export "fig-prepost.pdf",replace 

