clear
use "indig_origins_data.dta"

graph bar (mean) ps_slv_afr100 if il1 == 1 & minerals == 0, /*
*/ title("Low Pre-Colonial Without Minerals", size(4)) legend(off) /*
*/ ytitle(% African Forced Labor) ylabel(0(25)100, angle(horizontal)) ysca(titlegap(4)) blabel(bar, format(%9.0f) size(3)) /*
*/text(100 100 "A", justification(left) size(4)) /*
*/ scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(solid)) plotregion(style(none)) ylabel(, nogrid)
graph save Graph "fig1slavery.gph", replace

graph bar (mean) ps_slv_afr100 if il1 == 1 & minerals == 1, /*
*/ title("Low Pre-Colonial With Minerals", size(4)) legend(off) /*
*/ ytitle(% African Forced Labor) ylabel(0(25)100, angle(horizontal)) ysca(titlegap(4)) blabel(bar, format(%9.0f) size(3)) /*
*/text(100 100 "B", justification(left) size(4)) /*
*/ scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(solid)) plotregion(style(none)) ylabel(, nogrid)
graph save Graph "fig2slavery.gph", replace

graph bar (mean) ps_slv_afr100 if il3 == 1 & minerals == 0, /*
*/ title("High Pre-Colonial Without Minerals", size(4)) legend(off) blabel(bar, format(%9.0f) size(3)) /*
*/ ytitle(% African Forced Labor) ylabel(0(25)100, angle(horizontal)) ysca(titlegap(4)) /*
*/text(100 100 "C", justification(left) size(4)) /*
*/ scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(solid)) plotregion(style(none)) ylabel(, nogrid)
graph save Graph "fig3slavery.gph", replace

graph bar (mean) ps_slv_afr100 if il3 == 1 & minerals == 1, /*
*/ title("High Pre-Colonial With Minerals", size(4)) legend(off) blabel(bar, format(%9.0f) size(3)) /*
*/ ytitle(% African Forced Labor) ylabel(0(25)100, angle(horizontal)) ysca(titlegap(4)) /*
*/text(100 100 "D", justification(left) size(4)) /*
*/ scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(solid)) plotregion(style(none)) ylabel(, nogrid)
graph save Graph "fig4slavery.gph", replace

graph combine "fig1slavery.gph" "fig2slavery.gph" ///
"fig3slavery.gph" "fig4slavery.gph" , col(2) row(2) ///
scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(none)) plotregion(style(none)) 
graph save Graph "fig-prepost2.pdf", replace
graph export "fig-prepost2.pdf",replace 

