***
* MAPS in ArcMap
*
* 1. Convert dta file to file usable in ArcMap:

* 	Keep only variables necessary for maps
clear all
use indig_origins_data.dta
keep id_1 state region ps_assign ps_slv_afr ilx minerals 

* 	Modify observations as follows to make units coincide with those in ArcMap shape file
sort state region
expand 2 in 2  // Buenos Aires, ARG
expand 2 in 49  // Distrito Federal, BRA copy of Goias, BRA
expand 2 in 51  // Rondonia, BRA copy of Mato Grosso, BRA
expand 3 in 121   // Asin and Magallanes, CHL copy of Los Lagos, CHL
expand 2 in 169  // Usulutan, SLV copy of San Miguel, SLV
expand 5 in 203  // 4 in Guyana, copy of Pomeroon-Supenaam, GUY
expand 2 in 296   // Asuncion, PRY copy of Central, PRY
expand 2 in 307  // La Libertad, PER copy of Ancash, PER
expand 2 in 362  // DC, USA copy of Maryland, USA

* 	Replace id_1 for the above:
replace id_1 = 3199 in 447 //DC
replace id_1 = 2181 in 446  //La Libertad
replace id_1 = 2440 in 445 //Asuncion 
replace id_1 = 1158 in 444  //Guyanas
replace id_1 = 1159 in 443
replace id_1 = 1162 in 442
replace id_1 = 1166 in 441
replace id_1 = 2672 in 440  //Usultan
replace id_1 = 566 in 439  //Magallanes
replace id_1 = 558 in 438  //Asien
replace id_1 = 451 in 437  //Rondonia
replace id_1 = 436 in 436  //DF
replace id_1 = 99 in 435  //Buenos Aires

* 	Change region for the above:
replace region = "District of Columbia" if id_1 == 3199 //DC
replace region = "La Libertad" if id_1 == 2181   //La Libertad
replace region = "Asuncion" if id_1 == 2440  //Asuncion 
replace region = "Usultan" if id_1 == 2672   //Usultan
replace region = "Magallanes" if id_1 == 566   //Magallanes
replace region = "Asien" if id_1 == 558   //Asien
replace region = "Rondonia" if id_1 == 451   //Rondonia
replace region = "Distrito Federal BRA" if id_1 == 436   //DF
replace region = "Ciudad de Buenos Aires" if id_1 == 103  //Buenos Aires

outsheet using "indig_origins_gis.csv", comma nolabel replace


* 2. Open indig_origins_gis.csv in Excel and save as an xls file


* 3. Create maps in ArcMap: 
*		Open shape file Americas_adm1.shp in ArcMap
*		Open indig_origins_gis.xls
*		Join the two using the join command; join variable is id_1
*		Choose variable to represent in map.


