**
** User must run xgmlt.ado to run the commands below.
**

clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(15) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}


quietly {
program myest2, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(15) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest2" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest3, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il1xminerals il2xminerals il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(17) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il1xminerals il2xminerals il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov= il1xminerals il2xminerals il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov= il1xminerals il2xminerals il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest3" // set e(cmd) last
ereturn display, level(`level')
end
}

clear
use "indig_origins_data.dta"

gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

myest2
estimates store rep2

myest3
estimates store rep3
