use "indig_origins_data.dta", clear

statsby "su lpopdens2" mean=r(mean) max=r(max) min=r(min) sd=r(sd), by(indig_laborl) clear

gen meanpsd = mean + sd
gen meanmsd = mean - sd

twoway scatter mean indig_laborl ||                            ///
rbar mean max indig_laborl, bcolor(none) barw(0.2) ||          ///
rbar mean min indig_laborl, bcolor(none) barw(0.2) ||          ///
rbar meanmsd meanpsd indig_laborl , barw(0.1) bcolor(black) || , ///
xtitle(Pre-Colonial Hierarchy) xlabel(0(1)2) xsca(titlegap(4)) ysca(titlegap(4)) ///
legend(off) ytitle(log(Population density)) yla(, ang(h))      ///
xlabel(0 "Low" 1 "Medium" 2 "High", labsize(3.5)) ///
ylabel(-8(3)7, angle(horizontal)) ///
scheme(s2mono) graphregion(fcolor(white)) plotregion(ifcolor(none)) plotregion(lstyle(solid)) plotregion(style(none)) ylabel(, nogrid)
