***TABLE A.1
use "indig_origins_data.dta", clear
estpost sum ps_assign ps_slv_afr il3 il2 il1 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival 

***TABLE A.2
clear all
use "indig_origins_data.dta"
generate y = uniform()
sort ilx
by ilx: eststo: quietly regress y minerals logalt abslat mean_temp lpopdens2, nocons
estadd summ : *
esttab, main(mean) aux(sd) label nodepvar nostar nonote

***TABLE A.3
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  logem4orig const, xreg(16) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logem4orig const
matrix rownames cov= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logem4orig const
matrix colnames cov= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logem4orig const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest2, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logem4orig const, xreg(18) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logem4orig const
matrix rownames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logem4orig const
matrix colnames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logem4orig const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest2" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest3, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  logmort_rev const, xreg(16) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logmort_rev const
matrix rownames cov= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logmort_rev const
matrix colnames cov= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logmort_rev const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest3" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest4, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logmort_rev const, xreg(18) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logmort_rev const
matrix rownames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logmort_rev const
matrix colnames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival logmort_rev const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest4" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

label var logem4orig "log(Settler Mortality)"
drop if logem4orig==.
myest1
estimates store rep1

myest2
estimates store rep2

drop if logmort_rev==.
myest3
estimates store rep3

myest4
estimates store rep4

***TABLE A.4
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival mean_temp const, xreg(16) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  mean_temp const
matrix rownames cov= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  mean_temp const
matrix colnames cov= il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  mean_temp const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest2, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival mean_temp const, xreg(18) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival mean_temp const
matrix rownames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival mean_temp const
matrix colnames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival mean_temp const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest2" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

myest2
estimates store rep2

***TABLE A.5
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  abslon const, xreg(16) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival abslon const
matrix rownames cov=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival abslon const
matrix colnames cov=  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival abslon const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest2, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival abslon const, xreg(18) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  abslon const
matrix rownames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  abslon const
matrix colnames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival  abslon const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest2" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

myest2
estimates store rep2

***TABLE A.6
clear all
use "indig_origins_data.dta"

iis ccode

xtreg ps_assign  il3 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival, fe cluster(ccode) 
estimates store rep1

xtreg ps_slv_afr il2 il1 il1xminerals il2xminerals minerals lpopdens2 sspain sport suk sfra sneth  logalt abslat logdist expedition_arrival governor_arrival, fe cluster(ccode) 
estimates store rep2

***TABLE A.7
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(15) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov= il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov= il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest2, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(15) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov= il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov= il1 il2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest2" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

myest2
estimates store rep2

***TABLE A.8
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_wagelab il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(17) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov= il2 il1 il1xminerals il2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_wagelab")
ereturn local depvar "ps_wagelab"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
drop if ps_wagelab == .
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

***TABLE A.9
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3h il2h minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(15) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe=  il3h il2h minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov=  il3h il2h minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov=  il3h il2h minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest3, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il2h il1h il1hxminerals il2hxminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(17) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il2h il1h il1hxminerals il2hxminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov= il2h il1h il1hxminerals il2hxminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov= il2h il1h il1hxminerals il2hxminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest3" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1 
estimates store rep1

myest3
estimates store rep3

***TABLE A.10
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign cat3 cat2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(15) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe=  cat3 cat2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov=  cat3 cat2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov=  cat3 cat2 minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest3, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr cat2 cat1 cat1xminerals cat2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const, xreg(17) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= cat2 cat1 cat1xminerals cat2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix rownames cov= cat2 cat1 cat1xminerals cat2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
matrix colnames cov= cat2 cat1 cat1xminerals cat2xminerals minerals logalt abslat lpopdens2 sspain sport suk sfra sneth logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest3" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

myest3
estimates store rep3

***TABLE A.11
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const, xreg(17) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix rownames cov= il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix colnames cov= il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest2, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const, xreg(17) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix rownames cov= il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix colnames cov= il3 il2 minerals lpopdens2 lpopdens2xil3 lpopdens2xil2 sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest2" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

myest2
estimates store rep2

***TABLE A.12
clear all
quietly {
program myest1, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_assign il3 il2 minerals lpopdens2 lpopdens2xminerals  sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const, xreg(16) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il3 il2 minerals lpopdens2 lpopdens2xminerals  sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix rownames cov= il3 il2 minerals lpopdens2 lpopdens2xminerals  sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix colnames cov= il3 il2 minerals lpopdens2 lpopdens2xminerals  sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_assign")
ereturn local depvar "ps_assign"
ereturn local cmd "myest1" // set e(cmd) last
ereturn display, level(`level')
end
}

quietly {
program myest2, eclass
xgmlt x_c y_c cutoff1 cutoff2 ps_slv_afr il2 il1 il1xminerals il2xminerals minerals lpopdens2 lpopdens2xminerals sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const, xreg(18) coord(2)
matrix coe=e(b)
matrix cov=cov_dep
global nobs=e(N)
matrix colnames coe= il2 il1 il1xminerals il2xminerals minerals lpopdens2 lpopdens2xminerals  sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix rownames cov= il2 il1 il1xminerals il2xminerals minerals lpopdens2 lpopdens2xminerals  sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
matrix colnames cov= il2 il1 il1xminerals il2xminerals minerals lpopdens2 lpopdens2xminerals  sspain sport suk sfra sneth logalt abslat logdist expedition_arrival governor_arrival const
ereturn post coe cov, obs($nobs) depname("ps_slv_afr")
ereturn local depvar "ps_slv_afr"
ereturn local cmd "myest2" // set e(cmd) last
ereturn display, level(`level')
end
}

use "indig_origins_data.dta"
gen const=1
label variable const "Constant"
gen cutoff1=7
gen cutoff2=7

myest1
estimates store rep1

myest2
estimates store rep2
